.hamburger {
    height: 100%;
    display: none;
    align-items: center;
    justify-content: flex-end;

    @media (max-width: $lg) {
        display: flex;
    }

    &__menu {
        width: 2em;
        height: 2em;
        display: flex;
        align-items: flex-end;
        flex-direction: column;
        justify-content: center;

        span {
            height: 3px;
            width: 100%;
            margin-bottom: 7px;
            background-color: $black;
            transition: 0.5s all ease;

            &:last-child {
                margin: 0;
            }
        }

        &--close {
            
            span {
                margin: -1px;

                &:last-child {
                    display: none;
                }

                &:first-child {
                    transform: rotate(45deg);
                    width: 100%;
                }

                &:nth-child(2) {
                    width: 100%;
                    top: -1px;
                    position: relative;
                    transform: rotate(-45deg);
                }
            }
        }
    }
}
